CEX Bot
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's CEX signal bots
GET /api/v2/bot/signal/cex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's CEX signal bots
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the bot max 255 characters
My botThe folder id of the bot
12The id of a bot webhook
1The id of a bot CEX API key
2The symbol of the bot
BTCUSDTThe base currency of the pair (On ALPACA not required)
BTCThe quote currency of the pair (On ALPACA not required)
USDTSet if amount is coming from signal
falseThe amount to trade (if amount_from_signal is false)
150Set if the amount is in quote currency
trueSet how often the bot will check for new signals. eg. 10 means 10 in 1 second
10CEX signal bot created successfully
Missing required fields or invalid data
API or webhook not found
POST /api/v2/bot/signal/cex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 186
{
"name": "My bot",
"folder_id": 12,
"webhook_id": "1",
"api_id": "2",
"symbol": "BTCUSDT",
"pair_base": "BTC",
"pair_quote": "USDT",
"amount_from_signal": false,
"amount": 150,
"is_quote": true,
"delay": 10
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Total number of CEX signal bots
10GET /api/v2/bot/signal/cex/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Total number of CEX signal bots
{
"total": 10
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
CEX signal bot details
Missing bot id
Bot not found
GET /api/v2/bot/signal/cex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the bot max 255 characters
My botThe folder id of the bot
12The id of a bot webhook
1The id of a bot CEX API key
2The symbol of the bot
BTCUSDTThe base currency of the pair (On ALPACA not required)
BTCThe quote currency of the pair (On ALPACA not required)
USDTSet if amount is coming from signal
falseThe amount to trade (if amount_from_signal is false)
150Set if the amount is in quote currency
trueSet how often the bot will check for new signals. eg. 10 means 10 in 1 second
10CEX signal bot updated successfully
SuccessMissing bot id or invalid data
Bot, API key, or webhook not found
PUT /api/v2/bot/signal/cex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 186
{
"name": "My bot",
"folder_id": 12,
"webhook_id": "1",
"api_id": "2",
"symbol": "BTCUSDT",
"pair_base": "BTC",
"pair_quote": "USDT",
"amount_from_signal": false,
"amount": 150,
"is_quote": true,
"delay": 10
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
CEX signal bot deleted successfully
SuccessMissing bot id
Bot not found
DELETE /api/v2/bot/signal/cex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing bot id or invalid status
Bot limit reached
Bot or package not found
PUT /api/v2/bot/signal/cex/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Bot ID to duplicate
CEX signal bot duplicated successfully
Missing bot id or bot limit reached
Bot or webhook not found
POST /api/v2/bot/signal/cex/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13
{
"id": "text"
}No content
Last updated